import request from '@/utils/request'

// 查询通告主认证申请列表
export function listApply(query) {
  return request({
    url: '/member/apply/list',
    method: 'get',
    params: query
  })
}

// 查询通告主认证申请详细
export function getApply(id) {
  return request({
    url: '/member/apply/' + id,
    method: 'get'
  })
}

// 新增通告主认证申请
export function addApply(data) {
  return request({
    url: '/member/apply',
    method: 'post',
    data: data
  })
}

// 修改通告主认证申请
export function updateApply(data) {
  return request({
    url: '/member/apply',
    method: 'put',
    data: data
  })
}

// 删除通告主认证申请
export function delApply(id) {
  return request({
    url: '/member/apply/' + id,
    method: 'delete'
  })
}
